[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'StdCtrls' (#lcl)

# TCustomComboBox.DropDown

Signals the OnDropDown event handler.

## Declaration

Source position: stdctrls.pp line 360

`protected procedure TCustomComboBox.DropDown; virtual;`

## Description

DropDown is a procedure called whenever the drop-down list is displayed. DropDown is called when a CN_Command message with a CBN_DROPDOWN notification code is handled for the control. DropDown signals the OnDropDown event handler (when assigned).

Use DroppedDown to determine if the drop-down list has been displayed.

## See also

TCustomComboBox.CloseUp |  | Called when the drop-down list is closed.
TCustomComboBox.DroppedDown |  | Indicates whether the drop-down list has been displayed.
TCustomComboBox.OnDropDown |  | Handler invoked when the list has dropped down.